;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

;; Set font
(setq doom-font (font-spec :family "FuraCode NF" :size 12))
(pcase (system-name)
  ("zuk"
   (font-put doom-font :size 15)) ;; Wayland support for high HDPI scaling has some issues. Increasing the font size works
)
;; Orgmode
(custom-set-variables '(org-directory "~/org"))
(setq-default org-download-image-dir "~/org/resources/")
(add-hook 'org-mode-hook #'visual-line-mode) ;; Enable word wrap
(eval-after-load "org" '(require 'ox-md nil t)) ;; allow md export
(setq deft-directory "~/org/")

;; Have projectile automatically check code.
(setq projectile-project-search-path '("~/code/"))

(setq doom-localleader-key ",")
